{
    "doc": "The entity representing a phenotype and its inheritance pattern.",
    "fields": [
        {
            "doc": "The trait (e.g.: HPO term, MIM term, DO term etc.)",
            "name": "trait",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The mode of inheritance",
            "name": "inheritanceMode",
            "type": [
                "null",
                {
                    "doc": "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown\n* `NA`: Not applicable",
                    "name": "ModeOfInheritance",
                    "symbols": [
                        "monoallelic",
                        "monoallelic_not_imprinted",
                        "monoallelic_maternally_imprinted",
                        "monoallelic_paternally_imprinted",
                        "biallelic",
                        "monoallelic_and_biallelic",
                        "monoallelic_and_more_severe_biallelic",
                        "xlinked_biallelic",
                        "xlinked_monoallelic",
                        "mitochondrial",
                        "unknown",
                        "NA"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "HeritableTrait",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}